### Name: sp.plot
### Title: Plots species distributions along an environmental gradient
### Aliases: sp.plot sp.plot.default sp.plot.formula
### Keywords: hplot

### ** Examples

## Not run: 
##D data(IK)
##D spec <- IK$spec
##D env <- IK$env
##D 
##D #basic scatter plot vs SumSST
##D sp.plot(spec, env$SumSST)
##D 
##D # exaggerate less abundant taxa
##D sp.plot(spec, env$SumSST, sp.scale="exag")
##D 
##D # separate y-scale for each
##D sp.plot(spec, env$SumSST, sp.scale="free")
##D 
##D # order by SumSST preference
##D sp.plot(spec, env$SumSST, sp.scale="free", sort.vars="wa")
##D 
##D # add a y-space
##D sp.plot(spec, env$SumSST, sp.scale="free", sort.vars="wa", 
##D between=list(y=0.5))
##D 
##D # two environmental variables
##D sp.plot(spec, env[, c(1, 3)])
##D 
##D # exaggerate less abundant taxa
##D sp.plot(spec, env[, c(1, 3)], sp.scale="exag")
##D 
##D # separate y-scale for each
##D sp.plot(spec, env[, c(1, 3)], sp.scale="free")
##D 
##D # same using the formula interface
##D sp.plot(spec ~ SumSST + Salinity, data=env, sp.scale="free")
##D 
##D # Exaggerated scaling using transparent colours
##D sp.plot(spec ~ SumSST + Salinity, data=env, sp.scale="exag", 
##D col="salmon", pch=21, fill=rgb(0, 0, 1, alpha=0.3), sp.max=100)
##D 
##D # Change the layout (3 * 3 matrix) 
##D # and start plots bottom left (as.table=FALSE
##D sp.plot(spec ~ SumSST + Salinity, data=env, sp.scale="exag", 
##D col="salmon", pch=21, fill=rgb(0, 0, 1, alpha=0.3), sp.max=100, 
##D layout=c(3,3), as.table=FALSE)
## End(Not run)



